<!DOCTYPE html>
<html>
    <head th:replace="fragments/header :: head"></head>
<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main class="page gallery-page">
        <section class="clean-block clean-gallery dark">
            <div class="container_">
                <div class="block-heading">
                    <h2 th:if="${category != null}"><a class="text-info" th:href="@{/admin/categories/{id}(id=${category.category.parentCategoryId})}" th:text="${category.localizedName}"></a></h2>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        <div th:replace="fragments/categorybar :: categorybar(
                        parentCategory = ${parentCategory},
                        currentId = ${category.category.id},
                        servletUrl = ${'/admin/categories'})"></div>
                    </div>
                    <div class="col-md-10">
                        <div class="products">
                                <div class="table-responsive table mt-2" th:if="${categories.size() > 0}" role="grid" aria-describedby="dataTable_info">
                                    <table class="table dataTable my-0">
                                        <tbody>
                                        <tr>
                                            <td>
                                                <div class="row" aria-controls="dataTable">
                                                    <label for="pageSize_" class="col-md-3" th:text="#{label.show}"></label>
                                                    <form class="nav-item form-select border-0" name="formPage" th:action="@{/admin/categories/id=${category.category.id}}" method="POST">
                                                        <input type="hidden" name="id" th:value="${category.category.id}">
                                                        <select id="pageSize_" name="pageSize" class="form-control custom-select" onchange="document.formPage.submit();">
                                                            <option value="6" th:selected="${pageSize} == 6">6</option>
                                                            <option value="9" th:selected="${pageSize} == 9">9</option>
                                                            <option value="12" th:selected="${pageSize} == 12">12</option>
                                                            <option value="24" th:selected="${pageSize} == 24">24</option>
                                                        </select>
                                                    </form>
                                                </div>
                                            </td>
                                            <form class="nav-item form-select border-0" name="form" th:action="@{admin/categories/id=${category.category.id}}" method="POST">
                                                <td>
                                                    <div class="text-md dataTables_filter">
                                                    <label>
                                                        <input type="search" class="form-control form-control-sm" name="filter_en" th:value="${filter_en}" aria-controls="dataTable" th:placeholder="'EN' + #{label.search}">
                                                    </label>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="text-md dataTables_filter">
                                                    <label>
                                                        <input type="search" class="form-control form-control-sm" name="filter_uk" th:value="${filter_uk}" aria-controls="dataTable" th:placeholder="'UK' + #{label.search}">
                                                    </label>
                                                    </div>
                                                </td>

                                                <td>
                                                    <button class="btn btn-outline-dark btn-block" type="submit" th:text="#{label.search}"></button>
                                                </td>
                                                <td>
                                                    <div class="text-md-2">
                                                    </div>
                                                </td>
                                            </form>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="table-responsive table mt-2" id="dataTable" role="grid" aria-describedby="dataTable_info">
                                    <table class="table dataTable my-0">
                                        <thead>
                                        <tr>
                                            <th th:text="#{label.name}"></th>
                                            <th>EN</th>
                                            <th>UK</th>
                                            <th th:text="#{label.edit}"></th>
                                            <th th:text="#{label.delete}"></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="category : ${categories}">
                                            <td>
                                                <a class="lightbox" th:href="@{/admin/categories/{id}(id=${category.id})}">
                                                    <img class="rounded-circle mr-2" width="30" height="30" th:src="@{${category.imagePath}}" alt=""
                                                    th:text="${category.name}">
                                                </a>
                                            </td>
                                            <td th:text="${category.translations[0].localizedName}"></td>
                                            <td th:text="${category.translations[1].localizedName}"></td>
                                            <td>
                                                <a class="btn btn-primary" type="button" th:href="@{/admin/categories/edit/{id}(id=${category.id})}"
                                                th:text="#{label.edit}"></a>
                                            </td>
                                            <td>
                                                <a class="btn btn-danger" type="button" th:href="@{/admin/categories/delete/{id}(id=${category.id})}"
                                                   th:text="#{label.delete}"></a>
                                            </td>
                                        </tr>
                                        </tbody>
                                        <tfoot>
                                        <tr>
                                            <th th:text="#{label.name}"></th>
                                            <th>EN</th>
                                            <th>UK</th>
                                            <th th:text="#{label.edit}"></th>
                                            <th th:text="#{label.delete}"></th>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            <h3 th:if="${categories.size() == 0}" th:text="#{label.categories_not_found}"></h3>
                            <div class="table-responsive table mt-2" role="grid" aria-describedby="dataTable_info">
                            <!--<form th:action="@{/admin/categories/add}" method="post">
                                <input type="hidden" id="parentCategoryId" name="parentCategoryId" th:value="${category.category.id}">
                                <table class="table dataTable my-0">
                                    <tbody>
                                    <tr>
                                        <td>
                                            <label>
                                                <input type="text" class="form-control form-control-sm" aria-controls="dataTable"
                                                       th:field="${categoryForm.name}"
                                                       th:placeholder="#{label.name}"/>>
                                            </label>
                                            <div>
&lt;!&ndash;                                                <span style="color:red">${errors.name}</span>&ndash;&gt;
                                            </div>
                                        </td>
                                        <td th:if="${categoryForm.translations != null}">
                                            <div class="text-md dataTables_filter">
                                                <label>
                                                    <input type="text" class="form-control form-control-sm" aria-controls="dataTable"
                                                           th:field="${categoryForm.translations[0].localizedName}"
                                                           placeholder="EN">
                                                </label>
                                                <div>
&lt;!&ndash;                                                    <span style="color:red">${errors.localizedNames_en}</span>&ndash;&gt;
                                                </div>
                                            </div>
                                        </td>
                                        <td th:if="${categoryForm.translations != null}">
                                            <div class="text-md dataTables_filter">
                                                <label>
                                                    <input hidden th:fieal="${categoryForm.translations[1].">
                                                    <input type="text" class="form-control form-control-sm" aria-controls="dataTable"
                                                           th:field="${categoryForm.translations[1].localizedName}"
                                                           placeholder="UK">
                                                </label>
                                                <div>
&lt;!&ndash;                                                    <span style="color:red" th:text="${errors.localizedNames_uk}"></span>&ndash;&gt;
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <button class="btn btn-primary btn-block" type="submit" th:text="#{label.add}"></button>
                                        </td>
                                        <td>
                                            <div class="text-md-2">
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </form>-->
                            </div>
                            <nav>
                                <!--<ul th:if="${categories.totalPages > 0}" class="pagination">
                                    <li th:each="pageNumber : ${pageNumbers}" th:class="${pageNumber==categories.number + 1} ? 'page-item active' : 'page-item'">
                                        <a class="page-link" href="#"
                                           th:href="@{/admin/categories/{id}(id=${category.id}, size=${categories.size}, page=${pageNumber})}"
                                           th:text="${pageNumber}">3</a>
                                    </li>
                                </ul>-->
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer(_)"></footer>

</body>
</html>